/*!
 * @file network_game_rules.h
 * @brief Definition of NetworkGameRules
 */

#ifndef _NETWORK_GAME_RULES_H
#define _NETWORK_GAME_RULES_H

#include "game_rules.h"

#include "player_stats.h"

class TiXmlElement;

class NetworkGameRules : public GameRules
{

  public:
    NetworkGameRules( const TiXmlElement* root );
    virtual ~NetworkGameRules();
    
    int getTeamForNewUser();
    ClassID getPlayableClassId( int team );
    std::string getPlayableModelFileName( int team, ClassID classId );
    
    PlayerStats * getNewPlayerStats( int userId ){ return new PlayerStats( userId ); }


  private:

};

#endif /* _NETWORK_GAME_RULES_H */
